package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMAssetPartsGroup;
/**
 * 关系型数据实体[EAMAssetPartsGroup] 查询条件对象
 */
@Slf4j
@Data
public class EAMAssetPartsGroupSearchContext extends QueryWrapperContext<EAMAssetPartsGroup> {

	private String n_eamassettypeid_eq;//[资产类型标识]
	public void setN_eamassettypeid_eq(String n_eamassettypeid_eq) {
        this.n_eamassettypeid_eq = n_eamassettypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassettypeid_eq)){
            this.getSearchCond().eq("eamassettypeid", n_eamassettypeid_eq);
        }
    }
	private String n_eamsparepartsgroupid_eq;//[备件包标识]
	public void setN_eamsparepartsgroupid_eq(String n_eamsparepartsgroupid_eq) {
        this.n_eamsparepartsgroupid_eq = n_eamsparepartsgroupid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupid_eq)){
            this.getSearchCond().eq("eamsparepartsgroupid", n_eamsparepartsgroupid_eq);
        }
    }
	private String n_eamassetpartsgroupname_like;//[资产备件包名称]
	public void setN_eamassetpartsgroupname_like(String n_eamassetpartsgroupname_like) {
        this.n_eamassetpartsgroupname_like = n_eamassetpartsgroupname_like;
        if(!ObjectUtils.isEmpty(this.n_eamassetpartsgroupname_like)){
            this.getSearchCond().like("eamassetpartsgroupname", n_eamassetpartsgroupname_like);
        }
    }
	private String n_eamsparepartsgroupname_eq;//[备件包]
	public void setN_eamsparepartsgroupname_eq(String n_eamsparepartsgroupname_eq) {
        this.n_eamsparepartsgroupname_eq = n_eamsparepartsgroupname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupname_eq)){
            this.getSearchCond().eq("eamsparepartsgroupname", n_eamsparepartsgroupname_eq);
        }
    }
	private String n_eamsparepartsgroupname_like;//[备件包]
	public void setN_eamsparepartsgroupname_like(String n_eamsparepartsgroupname_like) {
        this.n_eamsparepartsgroupname_like = n_eamsparepartsgroupname_like;
        if(!ObjectUtils.isEmpty(this.n_eamsparepartsgroupname_like)){
            this.getSearchCond().like("eamsparepartsgroupname", n_eamsparepartsgroupname_like);
        }
    }
	private String n_eamassettypename_eq;//[资产类型]
	public void setN_eamassettypename_eq(String n_eamassettypename_eq) {
        this.n_eamassettypename_eq = n_eamassettypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassettypename_eq)){
            this.getSearchCond().eq("eamassettypename", n_eamassettypename_eq);
        }
    }
	private String n_eamassettypename_like;//[资产类型]
	public void setN_eamassettypename_like(String n_eamassettypename_like) {
        this.n_eamassettypename_like = n_eamassettypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamassettypename_like)){
            this.getSearchCond().like("eamassettypename", n_eamassettypename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamassetpartsgroupname", query)   
            );
		 }
	}
}



